Subject: bug#21874: 25.0.50; point-entered no longer works

From: David Reitter <[email-masked]>
Date: Wed, 23 Mar 2016 22:14:30 -0400

On Mar 23, 2016, at 5:38 PM, Kaushal Modi <[email-masked]> wrote:
> 
> @David The fact that the below get the behavior you want, would you consider this bug as closed?

Well, it was surprising that cursor-intangible as a property wasn’t sufficient until the mode was enabled.  I can see why one would design it that way.

So, in order to not have people bump into errors all the time (which, IIRC, also are displayed in the echo area, overwriting the mini buffer that the user is working on at that very moment), I would still suggest that this protection be made default.  (I’ve had that in Aquamacs for a long time.)

Stefan’s desire to copy the prompt is the exception (perhaps because he’s working on and maybe teaching Emacs).  The user who wants to delete the whole text behind the prompt to replace it, or mark-all and delete selection, or C-a to the beginning and so on, this user is the norm.  We should think about that use case first.

- D